org.apache.ignite.client

## Class ClientCollectionConfiguration

- java.lang.Object
- - org.apache.ignite.client.ClientCollectionConfiguration

    public class ClientCollectionConfiguration
    extends Object

Configuration for Ignite collections.

### Constructor Summary

Constructors
Constructor and Description
`ClientCollectionConfiguration()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CacheAtomicityMode` `getAtomicityMode()`
`int` `getBackups()`
`CacheMode` `getCacheMode()`
`String` `getGroupName()`
`boolean` `isColocated()`
`ClientCollectionConfiguration` `setAtomicityMode(CacheAtomicityMode atomicityMode)`
`ClientCollectionConfiguration` `setBackups(int backups)`
`ClientCollectionConfiguration` `setCacheMode(CacheMode cacheMode)`
`ClientCollectionConfiguration` `setColocated(boolean colocated)`
`ClientCollectionConfiguration` `setGroupName(String grpName)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ClientCollectionConfiguration

    public ClientCollectionConfiguration()

### Method Detail

#### isColocated

    public boolean isColocated()

Returns:
  `True` if all items within the same collection will be collocated on the same node.

#### setColocated

    public ClientCollectionConfiguration setColocated(boolean colocated)

Parameters:
  `colocated` - If `true` then all items within the same collection will be collocated on the same node. Otherwise elements of the same set maybe be cached on different nodes. This parameter works only collections stored in `CacheMode.PARTITIONED` cache.
Returns:
  `this` for chaining.

#### getAtomicityMode

    public CacheAtomicityMode getAtomicityMode()

Returns:
  Cache atomicity mode.

#### setAtomicityMode

    public ClientCollectionConfiguration setAtomicityMode(CacheAtomicityMode atomicityMode)

Parameters:
  `atomicityMode` - Cache atomicity mode.
Returns:
  `this` for chaining.

#### getCacheMode

    public CacheMode getCacheMode()

Returns:
  Cache mode.

#### setCacheMode

    public ClientCollectionConfiguration setCacheMode(CacheMode cacheMode)

Parameters:
  `cacheMode` - Cache mode.
Returns:
  `this` for chaining.

#### getBackups

    public int getBackups()

Returns:
  Number of backups.

#### setBackups

    public ClientCollectionConfiguration setBackups(int backups)

Parameters:
  `backups` - Cache number of backups.
Returns:
  `this` for chaining.

#### getGroupName

    public String getGroupName()

Returns:
  Group name.

#### setGroupName

    public ClientCollectionConfiguration setGroupName(String grpName)

Parameters:
  `grpName` - Group name.
Returns:
  `this` for chaining.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023